The following web browsers are fully supported by Risk Cloud. All application functionalities will work as intended in these fully supported browsers.  

  • Chrome (preferred)
  • Safari
  • Edge
  • Firefox

Internet Explorer 11 and later is partially supported by Risk Cloud. Only end-user functionalities (filling out a form, submitting a record, etc.) will work as intended. Certain functionalities like the Build modules (configuring a Step, creating a Workflow, etc.) are not supported. If a user tries logging in using Internet Explorer, they will receive a pop-up warning. This is just an informative message, not an actual error. The user can simply select Continue and still login as usual.

Note: Other browsers not listed here may work as well but they are not officially supported.

Did this answer your question?